Core - Task # 53122

Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Closed Priority: Should have
Author: Alexander Stehlik Category:

Created: 2013-10-25 Assigned To:

Updated: 2014-06-20 Due date:

TYPOS3 Version: 6.2

PHP Version: 54

Complexity: no-brainer

Sprint Focus:

Subject: Use package manager in impexp extension selector

Description

The extension selector currently causes PHP warnings because it uses the old $TYPO3_LOADED_EXT array in an invalid way (e.g.

array_keys() is used).

Code can simply be replaced with calls to the PackageManager.

Related issues:

duplicates Core - Task # 56670: Make Import/Export work with Package Manager

Resolved 2014-03-08

History

#1 - 2013-10-25 11:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/25002

#2 - 2013-11-04 09:54 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/25002

#3 - 2014-02-12 09:57 - Ernesto Baschny
- Parent task set to #47018

#4 - 2014-03-10 10:31 - Alexander Stehlik

This was already fixed in #56670. Please close this one.

#5 - 2014-06-20 19:38 - Wouter Wolters
- Status changed from Under Review to Closed

Already fixed!
